SREPORT(1)

NAME
sreport - Used to generate reports from the slurm accounting data.

SYNOPSIS
ssreport [OPTIONS...] [COMMAND...]

DESCRIPTION
ssreport is used to generate certain reports. More can be added at any time. It provides a view into accounting data gathered from slurm via the account information maintained within a database with the interface being provided by the slurmdbd (Slurm Database daemon).

OPTIONS

-a, --all_clusters
    Use all clusters instead of only cluster from where the command was run. -h, --help Print a help message describing the usage of ssreport. This is equivalent to the help command.

-n, --no_header
    Don't display header when listing results.

-q, --quiet
    Print no warning or informational messages, only error messages. This is equivalent to the quiet command.

-p, --parsable
    Make output '|' delimited.

-v, --verbose
    Print detailed event logging. This is equivalent to the verbose command.

-V , --version
    Print version information and exit. This is equivalent to the version command.

COMMANDS

exit
    Terminate the execution of sreport. Identical to the quit command.

help
    Display a description of sreport options and commands.

quiet
    Print no warning or informational messages, only fatal error messages.

quit
    Terminate the execution of sreport. Identical to the exit command.

verbose
    Print detailed event logging. This includes time-stamps on data structures, record counts, etc. This is an independent command with no options meant for use in interactive mode.

version
    Display the version number of sreport being executed.

!!  Repeat the last command executed.

REPORT TYPES

cluster, job, and user

Various reports are as follows...
         cluster - Utilization
         job - Sizes
         user - TopUsage

Each report type has various options...

COMMON FOR ALL TYPES

    All_Clusters
        Use all monitored clusters default is local cluster.

    End=<OPT>
        Period ending for report. Default is 23:59:59 of previous day.

    Format=<OPT>
        Comma separated list of fields to display in report.

    Start=<OPT>
        Period start for report. Default is 00:00:00 of previous day.

CLUSTER

    Names=<OPT>
        List of clusters to include in report. Default is local cluster.

JOB

    Accounts=<OPT>
        List of accounts to use for the report Default is all.

    Clusters=<OPT>
        List of clusters to include in report. Default is local cluster.

    GID=<OPT>
        List of group ids to include in report. Default is all.

    Grouping=<OPT>
        Comma separated list of size groupings. (i.e. 50,100,150 would group job cpu count 1-49, 50-99, 100-149, > 150).

    Jobs=<OPT>
        List of jobs/steps to include in report. Default is all.

    Partitions=<OPT>
        List of partitions jobs ran on to include in report. Default is all.

    Users=<OPT>
        List of users jobs to include in report. Default is all.

USER

    Clusters=<OPT>
        List of clusters to include in report. Default is local cluster.

    Group
        Group all accounts together for each user. Default is a separate entry for each user and account reference.

    Users=<OPT>
        List of users jobs to include in report. Default is all.

EXAMPLES
> sreport job sizes
> sreport cluster utilization
> sreport user top

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). LLNL-CODE-402394.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurmdbd(8)